@font-face {
    font-family: "Source Serif 4";
    src: url(/css/fonts/SourceSerif4-Regular.ttf) format('truetype');
}
@font-face {
    font-family: "Inter";
    src: url(/css/fonts/Inter_24pt-Regular.ttf) format('truetype');
}
.ss-4 {
    font-family: "Source Serif 4";
}
.ww-break {
    word-wrap: break-word;
}
span, div, a, p, h1 {
    color: #3D3023;
}
.title-name, .block .title, .mail {
    font-size: 64px;
}
.modal-title {
    font-size: 36px;
}
.about-me, .block .short-text {
    font-size: 30px;
}
.prof, .block .number, .answer {
    font-size: 20px;
}
.quote {
    font-size: 18px;
}
.block .name, .block .text, .targets .item .name {
    font-size: 16px;
}
.link-contact, .targets .item .explain {
    font-size: 14px;
}
.text-contact, .scrollup {
    font-size: 12px;
}
.targets .item .explain {
    line-height: 105%;
    align-content: center;
}
.block .title {
    letter-spacing: -5px;
}
.text-contact {
    width: 70%;
    display: block;
    opacity: 50%;
}
body {
    background-color: #F4F0E8;
    font-family: "Inter";
    width: 90%;
    margin: auto;
}
a {
    text-decoration: none;
}
.tg > div > span {
    opacity: 60%;
}
.lh-95 {
    line-height: 95%;
}
.lh-120 {
    line-height: 120%;
}
.opac-50 {
    opacity: 50%;
}
.targets .item > div:first-child {
    display: none;
}
.open-modal {
    cursor: pointer;
}
.targets .item {
    display: flex;
    margin: 20px 0 20px;
    flex-direction: column;
}
.image-4 {
    width: 100%;
    height: 221px;
    object-fit: cover;
    object-position: top;
    border-radius: 2px;
}
.modal-bg {
    position: fixed;
    left: 0;
    top: 0;
    z-index: 3;
    width: 100%;
    height: 100dvh;
    background-color: #00000036;
    align-self: anchor-center;
    transition: all .5s;
    opacity: 1;
}
.modal-bg.closed {
    opacity: 0;
    z-index: -1;
}
.modal-container {
    display: flex;
    background-color: white;
    height: 100%;
    margin: auto;
}
.modal-container img {
    height: 100%;
    object-fit: cover;
    width: 100%;
}
.modal-title {
    width: 80%;
}
.modal-container form div.field {
    width: 100%;
}
.modal-container form .field {
    display: flex;
    flex-direction: column;
    gap: 20px;
    margin-bottom: 50px;
}
.modal-container form .field label, .modal-container form .field input {
    width: 100%;
}
.modal-container form .btn-submit {
    width: 100%;
    min-height: 50px;
    background-color: #3D3023;
    color: white;
    border-radius: 8px;
    transition: all .5s;
}
.modal-container form .btn-submit:hover {
    background-color: #AC7149;
}
.modal-container form input {
    border: 0;
    border-bottom: solid 1px;
}
.modal-container .rightside {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    width: -webkit-fill-available;;
}
.modal-container svg {
    width: 27px;
    height: 27px;
}
#mob-menu.closed {
    top: -110%;
}
#mob-menu {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: white;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 20px;
    transition: all 1s;
}
#mob-menu svg {
    position: absolute;
    top: 15px;
    right: 15px;
}
#mob-menu > div {
    font-family: 'Source Serif 4';
    display: flex;
    flex-direction: column;
    align-items: center;
}
#mob-menu > div > div {
    font-size: 20px;
}
#mob-menu > div > a {
    font-size: 48px;
}
.slideout {
    opacity: 0;
}
.about-me-pseudo, .what-i-work-with, .how-i-work {
    position: relative;
    margin-top: 60px;
}
.about-me-pseudo::before {
    content: '[Обо мне]';
    position: absolute;
    left: 0px;
    top: -60px;
    opacity: 50%;
}
.how-i-work::before {
    content: '[Как я работаю]';
    position: absolute;
    left: 0px;
    top: -80px;
    opacity: 50%;
    font-size: 16px;
    letter-spacing: 0;
    font-weight: 700;
}
.what-i-work-with::before {
    content: '[Обо мне]';
    position: absolute;
    left: -7.5rem;
    top: 0;
    opacity: 50%;
}
header {
    position: sticky;
    top: 10px;
    z-index: 2;
}
.col-left, .col-right {
    width: 100%;
}
@keyframes slideInRight {
    0% {
        transform: translateX(100%);
        opacity: 0;
    }
    100% {
        opacity: 1;
        transform: translateX(0);
    }
}
@keyframes slideInLeft {
    0% {
        transform: translateX(-100%);
        opacity: 0;
    }
    100% {
        opacity: 1;
        transform: translateX(0);
    }
}
@media (min-width: 768px) {
    .mail {
        font-size: 60px;
    }
    .block .title {
        font-size: 50px;
    }
    .about-me {
        font-size: 30px;
    }
    .fs-md {
        font-size: 18px;
    }
    .fs-sm {
        font-size: 16px;
    }
    .fs-xs {
        font-size: 18px;
    }
    .fs-xxs {
        font-size: 16px;
    }
    .targets .item {
        flex-direction: row;
        justify-content: space-between;
    }
    .targets .item > div, .block:last-child > div, .cols > div {
        width: 40%;
    }
    .targets .item > div:first-child {
        width: 10%;
    }
    .block .name, .block {
        justify-content: start;
    }
    .space::before {
        content: "";
        width: 55%;
        height: 1px;
        float: inline-start;
    }
    #about-me, #how-i-work, #what-i-work-with {
        display: flex;
    }
    .block:not(:last-child) {
        display: flex;
        flex-wrap: wrap;
        justify-content: end;
    }
    .proc33 > div:first-child, .cols > div:first-child {
        width: 10%!important;
    }
    .tg.last {
       height: 200px;
    }
    .tg.last > div:first-child {
        height: 100%;
    }
    .targets .item > div:first-child {
        display: block;
    }
    .modal-container form div.field:last-child {
        width: 100%;
    }
    .modal-container form div.field:not(:last-child) {
        width: calc(100% / 3 - 15px);
    }
    .modal-container form .field {
        margin-bottom: 100px;
    }
    .modal-container form .btn-submit {
        width: 35%;
    }
    .about-me-pseudo::before {
        left: -80px;
        top: 0;
    }
    
    .how-i-work::before {
        left: -130px;
        top: -10px;
        font-size: 16px;
    }
    .about-me-pseudo, .what-i-work-with, .how-i-work {
        margin-top: 0px;
    }
    .col-right, .targets .item > div:last-child, .cols > div:last-child {
        width: 45%;
    }
    .col-left {
        width: 50%;
    }
    .image-4 {
        width: 320px;
        height: 205px;
    }
}
@media (min-width: 1024px) {
    .title-name, .block .title, .mail {
        font-size: 64px;
    }
    .about-me, .modal-title {
        font-size: 40px;
    }
    .answer1 {
        font-size: 36px;
    }
    .modal-answer {
        font-size: 32px;
    }
    .prof {
        font-size: 30px;
    }
    .nav-menu div, .nav-menu + div, .specific .text{
        font-size: 24px;
    }
    .author, .modal-container form .field label, .quote, .block .number, .answer {
        font-size: 20px;
    }
    .link-contact {
        font-size: 18px;
    }
    .block .text, .specific .text, .targets .item .name, .block .name {
        font-size: 16px;
    }
    .text-contact, .targets .item .explain {
        font-size: 15px;
    }
    .personal-info {
        font-size: 14px;
    }
    .scrollup {
        font-size: 12.8px;
    }
    .how-i-work::before {
        left: -130px;
        top: -15px;
        font-size: 16px;
    }
}
@media (min-width: 1440px) {
    body {
        width: 95%;
    }
    .block .title, .mail {
        font-size: 100px;
    }
    .title-name {
        font-size: 84px;
    }
    .about-me, .modal-title {
        font-size: 60px;
    }
    .answer {
        font-size: 36px;
    }
    .block .number, .modal-answer {
        font-size: 32px;
    }
    .quote {
        font-size: 28px;
    }
    .link-contact, .block .name, .nav-menu div, .nav-menu + div, .specific .text, .targets .item .name, .scrollup, .prof{
        font-size: 24px;
    }
    .author, .targets .item .explain, .modal-container form .field label, .block .text {
        font-size: 20px;
    }
    .text-contact {
        font-size: 15px;
    }
    .personal-info {
        font-size: 14px;
    }
    .image-4 {
        width: 450px;
        height: 287px;
    }
    .modal-container svg {
        width: 68px;
        height: 68px;
    }
    .how-i-work::before {
        font-size: 24px;
        left: -190px;
        top: -25px;
    }
    .about-me-pseudo::before {
        left: -100px;
        top: 0;
    }
}